## safecat 1.11

=== Makefile ===
--- 
+++ 
@@ -71,14 +71,6 @@
 	compile
 	chmod 755 compile
 
-#env.a: \
-#makelib env.o envread.o
-#	./makelib env.a env.o envread.o
-#
-#env.o: \
-#compile env.c str.h alloc.h env.h
-#	./compile env.c
-
 envread.o: \
 compile envread.c env.h str.h
 	./compile envread.c
@@ -87,6 +79,13 @@
 makelib error.o error_str.o
 	./makelib error.a error.o error_str.o
 
+error.h: \
+tryerrno.c compile load error.h1 error.h2
+	( ( ./compile tryerrno.c && ./load tryerrno && \
+	./tryerrno ) >/dev/null 2>&1 \
+	&& cat error.h1 || cat error.h2 ) > error.h
+	rm -f tryerrno.o tryerrno
+
 error.o: \
 compile error.c error.h
 	./compile error.c
@@ -95,9 +94,9 @@
 compile error_str.c error.h
 	./compile error_str.c
 
-fmt_ulong.o: \
-compile fmt_ulong.c fmt.h
-	./compile fmt_ulong.c
+fmt_uint64.o: \
+compile fmt_uint64.c fmt.h uint64.h
+	./compile fmt_uint64.c
 
 hier.o: \
 compile hier.c auto_home.h
@@ -220,13 +219,13 @@
 
 safecat: \
 load safecat.o getln.a str.a stralloc.a strerr.a substdio.a alloc.o \
-alloc_re.o byte_copy.o byte_cr.o envread.o error.o error_str.o fmt_ulong.o \
+alloc_re.o byte_copy.o byte_cr.o envread.o error.o error_str.o fmt_uint64.o \
 hostname.o sig.o stat_dir.o str_diffn.o str_len.o substdio_copy.o \
 substdi.o substdio.o taia_fmtfrac.o taia_now.o taia_tai.o tempfile.o \
 writefile.o
 	./load safecat getln.a str.a stralloc.a strerr.a substdio.a \
 	alloc.o alloc_re.o byte_copy.o byte_cr.o envread.o error.o \
-	error_str.o fmt_ulong.o hostname.o sig.o stat_dir.o str_diffn.o \
+	error_str.o fmt_uint64.o hostname.o sig.o stat_dir.o str_diffn.o \
 	str_len.o substdi.o substdio.o substdio_copy.o taia_fmtfrac.o \
 	taia_now.o taia_tai.o tempfile.o writefile.o
 
@@ -398,6 +397,13 @@
 	&& cat uint32.h2 || cat uint32.h1 ) > uint32.h
 	rm -f tryulong32.o tryulong32
 
+uint64.h: \
+tryulong64.c compile load uint64.h1 uint64.h2
+	( ( ./compile tryulong64.c && ./load tryulong64 && \
+	./tryulong64 ) >/dev/null 2>&1 \
+	&& cat uint64.h2 || cat uint64.h1 ) > uint64.h
+	rm -f tryulong64.o tryulong64
+
 version.h: \
 conf-version
 	@echo 'static const char *const version_string="$$Version:' \
