=== debian/changelog ===
safecat (1.13-1) unstable; urgency=low

  * Add watch file.
  * Minimal rules file with debhelper.
  * Add Homepage control field.
  * Remove obsolete references to procmail from the manpage (Closes: #479020).
  * Update Standards-Version to 3.8.4.0.
  * Update to new source format (3.0 (quilt)).
  * Make the mode for creating new files more permissive to allow changing
    it with umask (Closes: #211546).
  * For completeness, update to new upstream version (no code changes).

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 14 Mar 2010 15:28:01 +0200

safecat (1.12-1) unstable; urgency=low

  * New upstream release. Includes largefile patch and some typo fixes.
  * Effectively rebuilds, fixing relocation error (Closes: #321608)
  * debian/rules: respects DEB_BUILD_OPTIONS.
  * Removed debian/one-liners.txt, updated debian/copyright accordingly.
  * Updated to Standards-Version 3.6.2.0.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 17 Sep 2005 02:15:17 +0300

safecat (1.11-1) unstable; urgency=low

  * New upstream release. (Closes: #224798)
  * Updated upstream URL.
  * Updated to Standards-Version 3.6.1.0.
  * No longer breaks on input stream longer than 2GB. Thanks to Kai Hendry
    for kicking me into doing this. (Closes: #222124)

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 10 Feb 2004 23:08:38 +0200

safecat (1.9-1) unstable; urgency=low

  * New upstream version. (Contains fixes for Solaris) (Closes: #158826)
  * Fix build for Hurd. (Closes: #112859)
  * And just for completeness, include maildir script in examples.
    (Closes: #132520)
  * Upgraded to Standards-Version 3.5.7.0.
  * Cleanups proposed by linda:
    * Upstream Author(s) -> Upstream Author in debian/copyright
    * No upstream changelog -> Install CHANGES as changelog

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 21 Oct 2002 18:55:44 +0300

safecat (1.8-1) unstable; urgency=low

  * New upstream version.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Wed, 13 Jun 2001 20:20:44 +0300

safecat (1.4-1) unstable; urgency=low

  * New upstream version. No changes to the binaries.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 25 Nov 2000 19:08:33 +0200

safecat (1.3-1) unstable; urgency=low

  * New upstream version.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 23 Jul 2000 01:57:38 +0300

safecat (1.0-2) unstable; urgency=low

  * Cleaned up the rules.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu,  2 Dec 1999 14:37:56 +0200

safecat (1.0-1) unstable; urgency=low

  * New upstream version.
  * FHS
  * Added one-liners.html from upstream website

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 26 Oct 1999 19:30:22 +0300

safecat (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 18 Jan 1999 09:18:17 +0200
