=== debian/control ===
Source: safecat
Section: utils
Priority: optional
Maintainer: Teemu Hukkanen <tjhukkan@iki.fi>
Build-Depends: groff-base, debhelper (>= 7.0.50)
Standards-Version: 3.8.4.0
Homepage: http://pobox.com/~lbudney/linux/software/safecat.html

Package: safecat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: safely copy stdin to a file
 safecat is a program which implements Daniel Bernstein's maildir
 algorithm to copy stdin safely to a file in a specified directory.
 It can be used to write mail messages to a qmail-style maildir, or to
 write data to a "spool" directory reliably.
