=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

%:
	dh $@

override_dh_auto_configure:
	sed -i -e "s/cc -O./cc ${CFLAGS}/" conf-cc

# Skip running make check, as it isn't useful for us
override_dh_auto_test:
