=== debian/watch ===
version=3
http://www.pobox.com/~lbudney/linux/software/safecat/safecat-(.*)\.tar\.gz
