## safecat 1.13%2Bgit20170317.185e8bf

=== debian/control ===
Source: safecat
Section: utils
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Teemu Hukkanen <tjhukkan@iki.fi>
Build-Depends: debhelper-compat (= 13),
               meson
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/safecat
Vcs-Git: https://salsa.debian.org/salvage-team/safecat.git
Homepage: https://github.com/aperezdc/safecat
Rules-Requires-Root: no

Package: safecat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Safely copy stdin to a file
 Safecat is a program which implements Daniel Bernstein's maildir
 algorithm to copy stdin safely to a file in a specified directory.
 It can be used to write mail messages to a qmail-style maildir, or to
 write data to a "spool" directory reliably.
