## safecat 1.13+git20170317.185e8bf

=== debian/changelog ===
safecat (1.13+git20170317.185e8bf-2) unstable; urgency=medium

  * Salvage Team upload.
  * d/p/:
    0004: Properly prototype the code (Closes: #1097837)
          This includes de1999ifying it a lot and fixing some bugs
          (like an off-by-10 that would put the files 10s in the future)
          and removing a reimplementation of like half of libc
    0005: sigaction(2) is always available
    0006: Drop needless -Wno-misleading-indentation check
    0007: Remove the only user of subfdoutsmall (repalce with stdio)
    0008: Remove the only user of subfderr (replace with stdio)
    0009: Replace substdio and the resulting read(512)/write(512) loop
          with voreutils-derived splice/c_f_r/sendfile/[read(64k)/fwrite()]
    0010: renameat2(RENAME_NOREPLACE) temp -> dest,
          only fall back to link+unlink if that fails or is unavailable
    0011: Avoid TOCTTOU on tempdir and destdir
    0012: Fix TOCTTOU on creating temporary file
    0013: Drop unneeded bespoke string allocation library
          (this should degrade gracefuller with overlong hostnames)
  * d/source/options: drop, no longer needed

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 22 Aug 2025 18:02:19 +0200

safecat (1.13+git20170317.185e8bf-1) unstable; urgency=medium

  * Team upload.
    Closes: #1079400
  * Point watch file to latest upstream commit -> new upstream commit
    Closes: #1066354
  * Move packaging to Salsa in salvage-team
  * Set Homepage to Github https://github.com/aperezdc/safecat
    Closes: #836007
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Enable hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2024 10:40:22 +0200

safecat (1.13-3) unstable; urgency=medium

  * Make build reproducible (Closes: #829720)
  * Bump Standards-Version to 3.9.8
  * Update packaging copyright years
  * Add short name to license block in copyright file
  * Use a non-conflicting regexp separator (Closes: #835713)
  * Unapply patches from source
  * Restore conf-(cc|ld) on clean target

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 29 Aug 2016 23:12:39 +0200

safecat (1.13-2) unstable; urgency=low

  * Bump to debhelper compatibility level 9.
  * Ignore source changes to conf-(cc|ld) (Closes: #643268).
  * Do not include RPLINE and DTLINE environment variables in files
    (Closes: #240647).
  * Add patch quoting dashes in the manpage.
  * Update watch file.
  * Rewrite copyright file in machine readable format.
  * Bump to Standards-Version 3.9.3, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 09 Jun 2012 11:05:20 +0100
