=== debian/watch ===
version=4

opts="mode=git,pretty=1.13+git%cd.%h" \
    https://github.com/aperezdc/safecat.git HEAD

# opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/aperezdc/safecat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
